    # File lib/active_record/vendor/mysql.rb, line 360
      def read_one_row(field_count)
        data = read
        if data[0] == 254 and data.length == 1 ## EOF
          return
        elsif data[0] == 254 and data.length == 5
          return
        end
        rec = []
        field_count.times do
          len = get_length data
          if len == nil then
            rec << len
          else
            rec << data.slice!(0,len)
          end
        end
        rec
      end